---
env:
  DEPLOY_REMOTE: www-cfebscom@cfebs.com

on: [push]
jobs:
  build:
    if: github.event_name == 'push' && github.ref == 'refs/heads/main'
    runs-on: docker
    container:
      image: forge.cfebs.com/cfebs/node-util:20
    steps:
      - name: checkout
        uses: https://code.forgejo.org/actions/checkout@v4

      - name: build
        run: python3 ./main.py

      - name: deploy
        run: |
          eval $(ssh-agent -s)
          ssh-add <(echo "${{ secrets.FORGE_DEPLOY_PRIVATE_KEY }}")
          rsync -r --delete -v --rsh="ssh -o StrictHostKeyChecking=no" -r ./public/ $DEPLOY_REMOTE:/home/www-cfebscom/public/
